Bug 734495 - AS7 plugin: AS7 Server Resource types do not provide a way for user to specify JAVA_HOME that should be passed to the scripts invoked by the Start and Restart operations
AS7 plugin: AS7 Server Resource types do not provide a way for user to specif...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Libor Zoubek
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-08-30 11:13 EDT by Ian Springer
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:24:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-08-30 11:13:47 EDT
In the as4/as5 plugins, there is a 'javaHome' plugin config prop which specifies the path to the JRE/JDK that should be used when starting or restarting the server instance. The value of this prop is used to set the JAVA_HOME environment variable in the script's process.

Without this, the same JVM used by the Agent will likely end up being used, which may not be what the user wants.
Comment 1 Heiko W. Rupp 2012-01-13 11:21:35 EST
master a509359864fcdd3f19
Comment 2 Libor Zoubek 2012-01-25 10:37:28 EST
JAVA_HOME is present in both Domain and Standalone resrouces and when it is not empty is taken to account when starting up server
Comment 3 Mike Foley 2012-02-07 14:24:34 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.